## org.mortbay.jaas
Class StrictRoleCheckPolicy

    java.lang.Object
      |
      +--org.mortbay.jaas.StrictRoleCheckPolicy

All Implemented Interfaces:
  RoleCheckPolicy

public class StrictRoleCheckPolicy
extends java.lang.Object
implements RoleCheckPolicy

StrictRoleChecPolicy

Enforces that if a runAsRole is present, then the role to check must be the same as that runAsRole and the set of static roles is ignored.

#### Notes

#### Usage

###

###

    Constructor Summary

    StrictRoleCheckPolicy()

    Method Summary

     boolean
    checkRole(java.security.Principal role,
              java.security.Principal runAsRole,
              java.security.acl.Group roles)

              Check if a role is either a runAsRole or in a set of roles

    Methods inherited from class java.lang.Object

    equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    StrictRoleCheckPolicy

    public StrictRoleCheckPolicy()

    Method Detail

    checkRole

    public boolean checkRole(java.security.Principal role,
                             java.security.Principal runAsRole,
                             java.security.acl.Group roles)

    Description copied from interface: RoleCheckPolicy
    Check if a role is either a runAsRole or in a set of roles

    Specified by:checkRole in interface RoleCheckPolicy

    Parameters:role - the role to checkrunAsRole - a pushed role (can be null)roles - a Group whose Principals are role names
    Returns:

    Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.